CVE-2003-1263
CVSS5.0
发布时间 :2003-12-31 00:00:00
修订时间 :2008-09-05 16:36:28
NMCOE    

[原文]ICAL.EXE in iCal 3.7 allows remote attackers to cause a denial of service (crash) via a malformed HTTP request, possibly due to an invalid method name.


[CNNVD]iCal远程缓冲区溢出漏洞(CNNVD-200312-396)

        
        iCal是一款基于WEB的日历系统,可用于显示会议,事件等详细时间安排。
        iCal对超长HTTP请求处理不正确,远程攻击者可以利用这个漏洞对iCal服务进行缓冲区溢出攻击,可能以WEB进程权限在系统上执行任意指令。
        攻击者可以提交超长HTTP请求而使服务发生访问冲突,精心构建提交数据可能以WEB进程权限在系统上执行任意指令。需要手工重新启动获得正常服务。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1263
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-1263
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200312-396
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/6506
(PATCH)  BID  6506
http://www.iss.net/security_center/static/10973.php
(UNKNOWN)  XF  ical-icalexe-port-dos(10973)
http://archives.neohapsis.com/archives/bugtraq/2003-01/0011.html
(VENDOR_ADVISORY)  BUGTRAQ  20030103 ical 3.7 remote dos
http://www.securityfocus.com/bid/6505
(UNKNOWN)  BID  6505

- 漏洞信息

iCal远程缓冲区溢出漏洞
中危 边界条件错误
2003-12-31 00:00:00 2006-08-31 00:00:00
远程  
        
        iCal是一款基于WEB的日历系统,可用于显示会议,事件等详细时间安排。
        iCal对超长HTTP请求处理不正确,远程攻击者可以利用这个漏洞对iCal服务进行缓冲区溢出攻击,可能以WEB进程权限在系统上执行任意指令。
        攻击者可以提交超长HTTP请求而使服务发生访问冲突,精心构建提交数据可能以WEB进程权限在系统上执行任意指令。需要手工重新启动获得正常服务。
        

- 公告与补丁

        厂商补丁:
        Brown Bear Software
        -------------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.brownbearsw.com/

- 漏洞信息 (22117)

iCal 3.7 Malformed HTTP Request Denial Of Service Vulnerability (EDBID:22117)
windows dos
2003-01-03 Verified
0 securma massine
N/A [点击下载]
source: http://www.securityfocus.com/bid/6505/info

A denial of service vulnerability has been reported for iCal. The vulnerability occurs when iCal receives a specially formatted HTTP request. This will cause iCal to crash thereby leading to a denial of service.

Restarting the service is necessary to restore functionality. 

http//target/* 		

- 漏洞信息 (22118)

iCal 3.7 Remote Buffer Overflow Vulnerability (EDBID:22118)
windows dos
2003-01-03 Verified
0 securma massine
N/A [点击下载]
source: http://www.securityfocus.com/bid/6506/info

A buffer overflow vulnerability has been reported for iCal. The vulnerability occurs when the iCal web server receives an overly long HTTP request. This will cause iCal to crash and result in a denial of service condition.

Restarting the service is necessary to restore functionality.

nc target 80
AAAA 		

- 漏洞信息

59823
iCal ICAL.EXE Malformed HTTP Request DoS
Remote / Network Access Denial of Service, Input Manipulation
Loss of Availability Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2003-01-03 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 3.8 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站